//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.09 at 12:46:29 PM IST 
//


package com.incred.janus.models.perfios.response;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="Institution" maxOccurs="unbounded">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="addressAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="form26AsAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}unsignedShort"/>
 *                   &lt;element name="institutionType" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="itrVAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                   &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                   &lt;element name="originalStatementAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "institution"
})
@XmlRootElement(name = "Institutions")
public class Institutions {

    @XmlElement(name = "Institution", required = true)
    protected List<Institutions.Institution> institution;

    /**
     * Gets the value of the institution property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the institution property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInstitution().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Institutions.Institution }
     * 
     * 
     */
    public List<Institutions.Institution> getInstitution() {
        if (institution == null) {
            institution = new ArrayList<Institutions.Institution>();
        }
        return this.institution;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="addressAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="form26AsAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}unsignedShort"/>
     *         &lt;element name="institutionType" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="itrVAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *         &lt;element name="originalStatementAvailable" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "addressAvailable",
        "form26AsAvailable",
        "id",
        "institutionType",
        "itrVAvailable",
        "name",
        "originalStatementAvailable"
    })
    public static class Institution {

        protected boolean addressAvailable;
        protected boolean form26AsAvailable;
        @XmlSchemaType(name = "unsignedShort")
        protected int id;
        @XmlElement(required = true)
        protected String institutionType;
        protected boolean itrVAvailable;
        @XmlElement(required = true)
        protected String name;
        protected boolean originalStatementAvailable;

        /**
         * Gets the value of the addressAvailable property.
         * 
         */
        public boolean isAddressAvailable() {
            return addressAvailable;
        }

        /**
         * Sets the value of the addressAvailable property.
         * 
         */
        public void setAddressAvailable(boolean value) {
            this.addressAvailable = value;
        }

        /**
         * Gets the value of the form26AsAvailable property.
         * 
         */
        public boolean isForm26AsAvailable() {
            return form26AsAvailable;
        }

        /**
         * Sets the value of the form26AsAvailable property.
         * 
         */
        public void setForm26AsAvailable(boolean value) {
            this.form26AsAvailable = value;
        }

        /**
         * Gets the value of the id property.
         * 
         */
        public int getId() {
            return id;
        }

        /**
         * Sets the value of the id property.
         * 
         */
        public void setId(int value) {
            this.id = value;
        }

        /**
         * Gets the value of the institutionType property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getInstitutionType() {
            return institutionType;
        }

        /**
         * Sets the value of the institutionType property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setInstitutionType(String value) {
            this.institutionType = value;
        }

        /**
         * Gets the value of the itrVAvailable property.
         * 
         */
        public boolean isItrVAvailable() {
            return itrVAvailable;
        }

        /**
         * Sets the value of the itrVAvailable property.
         * 
         */
        public void setItrVAvailable(boolean value) {
            this.itrVAvailable = value;
        }

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setName(String value) {
            this.name = value;
        }

        /**
         * Gets the value of the originalStatementAvailable property.
         * 
         */
        public boolean isOriginalStatementAvailable() {
            return originalStatementAvailable;
        }

        /**
         * Sets the value of the originalStatementAvailable property.
         * 
         */
        public void setOriginalStatementAvailable(boolean value) {
            this.originalStatementAvailable = value;
        }

    }

}
